﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using HttpClientStudy.Config;


using Microsoft.Extensions.Options;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace HttpClientStudy.UnitTest.ConfigTest
{
    public class WebApiConfigTest
    {
        [Fact]
        public void Test()
        {
            ConfigurationBuilder configurationBuilder = new ConfigurationBuilder();
            configurationBuilder.AddWebApiConfigration();

            IConfiguration configuration = configurationBuilder.Build();

            var o = new WebApiOption();
            configuration.GetSection("WebApi").Bind(o);

            var services = new ServiceCollection();
            services.AddSingleton<IConfiguration>(configuration);
            services.AddWebApiOptions();

            var provider = services.BuildServiceProvider();
            var webApiOptions = provider.GetService<IOptions<WebApiOption>>();

            var webApiUrl = webApiOptions.Value;

        }
    }
}
